%{!?drupal6:         %global drupal6         %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module filefield

Name:      drupal6-%{module}
Version:   3.13
Release:   3%{?dist}
# Bump epoch since old release illegally started with '6.x'
Epoch:     1
Summary:   Defines a file field type

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
#Requires:  drupal6(content)
# phpcompatinfo (computed from version 3.13)
Requires:  php-date
Requires:  php-ereg
Requires:  php-gd
Requires:  php-pcre

Provides:  drupal6(%{module})      = %{version}
Provides:  drupal6(%{module}_meta) = %{version}

%description
FileField provides a universal file upload field for CCK. It is a robust
alternative to core's Upload module and an absolute must for users uploading a
large number of files. Great for managing video and audio files for podcasts on
your own site.

Optional:
* APC (php-pecl-apcu)
* uploadprogress (http://pecl.php.net/package/uploadprogress)

This package provides the following Drupal modules:
* %{module}
* %{module}_meta


%prep
%setup -qn %{module}

cp -p %{SOURCE1} .


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt UPGRADE.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 31 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1:3.13-1
- Updated to 3.13 (BZ #1124038; release notes https://www.drupal.org/node/2304517)
- %%license usage

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 14 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1:3.12-1
- Updated to 3.12 (BZ #1064729; release notes https://drupal.org/node/2194103)
- Security BZ #1064841, #1064842, 1064843
- SA-CONTRIB-2014-015
- Spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 Paul W. Frields <stickster@gmail.com> - 1:3.11-1
- Upstream 3.11 (#952156)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Aug  7 2011 Paul W. Frields <stickster@gmail.com> - 1:3.10-1
- Bump epoch and use legal version (#696991)
- Update to upstream 3.10

* Sat Mar 05 2011 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 6.x.3.9-1
- New package
